import { M, S, WP } from '../constants';
import { reportPerf } from '../reportPerf';
import { config } from '../config';
import { STEP_THRESHOLDS, getRating } from '../vitalsScore';
export var measureStep = function (step, startMark, endMark) {
    var stepMetricName = S + step;
    var startMarkExists = WP.getEntriesByName(M + startMark).length > 0;
    var endMarkExists = WP.getEntriesByName(M + endMark).length > 0;
    if (!endMarkExists || !config.steps) {
        return;
    }
    var _a = STEP_THRESHOLDS[config.steps[step].threshold], maxOutlierThreshold = _a.maxOutlierThreshold, vitalsThresholds = _a.vitalsThresholds;
    if (!startMarkExists) {
        return;
    }
    var stepMeasure = WP.measure(stepMetricName, M + startMark, M + endMark);
    var duration = stepMeasure.duration;
    if (duration <= maxOutlierThreshold) {
        var score = getRating(duration, vitalsThresholds);
        // Do not want to measure or log negative metrics
        if (duration >= 0) {
            reportPerf(step, duration, score, { category: 'step' }, undefined);
            WP.measure("step.".concat(step, "_vitals_").concat(score), {
                start: stepMeasure.startTime + stepMeasure.duration,
                end: stepMeasure.startTime + stepMeasure.duration,
                detail: {
                    type: 'stepVital',
                    duration: duration,
                },
            });
        }
    }
};
//# sourceMappingURL=measureStep.js.map