export var steps = {
    finalMarkToStepsMap: {},
    startMarkToStepsMap: {},
    active: {},
};
/**
 * This method allows to add new steps by passing the start mark
 */
export var addActiveSteps = function (startMark) {
    var _a;
    var newSteps = (_a = steps.startMarkToStepsMap[startMark]) !== null && _a !== void 0 ? _a : [];
    // adding the new steps to the active map
    Object.keys(newSteps).forEach(function (step) {
        if (steps.active[step]) {
            return;
        }
        else {
            steps.active[step] = true;
        }
    });
};
/**
 * Removes one step from active steps
 */
export var removeActiveStep = function (step) {
    delete steps.active[step];
};
export var resetActiveSteps = function () {
    steps.active = {};
};
export var resetSteps = function () {
    // reset all values
    steps.startMarkToStepsMap = {};
    steps.finalMarkToStepsMap = {};
    resetActiveSteps();
};
//# sourceMappingURL=steps.js.map