import { logData } from './log';
import { convertToKB } from './utils';
/**
 * The estimate() method of the StorageManager interface asks the Storage Manager
 * for how much storage the app takes up (usage),
 * and how much space is available (quota).
 */
export var reportStorageEstimate = function (storageInfo) {
    var estimateUsageDetails = 'usageDetails' in storageInfo ? storageInfo.usageDetails : {};
    logData('storageEstimate', {
        quota: convertToKB(storageInfo.quota),
        usage: convertToKB(storageInfo.usage),
        caches: convertToKB(estimateUsageDetails.caches),
        indexedDB: convertToKB(estimateUsageDetails.indexedDB),
        serviceWorker: convertToKB(estimateUsageDetails.serviceWorkerRegistrations),
    });
};
//# sourceMappingURL=storageEstimate.js.map