"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIsLowEndExperience = exports.getIsLowEndDevice = void 0;
var constants_1 = require("./constants");
var getIsLowEndDevice = function () {
    // If number of logical processors available to run threads <= 4
    if ((0, constants_1.getHC)() && (0, constants_1.getHC)() <= 4) {
        return true;
    }
    // If the approximate amount of RAM client device has <= 4
    if ((0, constants_1.getDM)() && (0, constants_1.getDM)() <= 4) {
        return true;
    }
    return false;
};
exports.getIsLowEndDevice = getIsLowEndDevice;
var getIsLowEndExperience = function (et, sd) {
    // If the effective type of the connection meaning
    // one of 'slow-2g', '2g', '3g', or '4g' is !== 4g
    switch (et) {
        case 'slow-2g':
            return true;
            break;
        case '2g':
            return true;
            break;
        case '3g':
            return true;
            break;
        default:
            // Data Saver preference
            return (0, exports.getIsLowEndDevice)() || sd;
    }
};
exports.getIsLowEndExperience = getIsLowEndExperience;
//# sourceMappingURL=isLowEnd.js.map