"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.performanceMeasure = void 0;
var constants_1 = require("./constants");
/**
 * Get the duration of the timing metric or -1
 * if there a measurement has not been made by the User Timing API
 */
var performanceMeasure = function (measureName) {
    constants_1.WP.measure(measureName, "mark_".concat(measureName, "_start"), "mark_".concat(measureName, "_end"));
    var entry = constants_1.WP.getEntriesByName(measureName).pop();
    if (entry && entry.entryType === 'measure') {
        return entry.duration;
    }
    return -1;
};
exports.performanceMeasure = performanceMeasure;
//# sourceMappingURL=measure.js.map