"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.poDisconnect = exports.po = void 0;
var constants_1 = require("./constants");
var observeInstances_1 = require("./observeInstances");
/**
 * PerformanceObserver subscribes to performance events as they happen
 * and respond to them asynchronously.
 */
var po = function (eventType, cb) {
    try {
        var perfObserver = new PerformanceObserver(function (entryList) {
            cb(entryList.getEntries());
        });
        // Retrieve buffered events and subscribe to newer events for Paint Timing
        perfObserver.observe({ type: eventType, buffered: true });
        return perfObserver;
    }
    catch (e) {
        constants_1.C.warn('Perfume.js:', e);
    }
    return null;
};
exports.po = po;
var poDisconnect = function (observer) {
    if (observeInstances_1.perfObservers[observer]) {
        observeInstances_1.perfObservers[observer].disconnect();
    }
    delete observeInstances_1.perfObservers[observer];
};
exports.poDisconnect = poDisconnect;
//# sourceMappingURL=performanceObserver.js.map