"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resetSteps = exports.resetActiveSteps = exports.removeActiveStep = exports.addActiveSteps = exports.steps = void 0;
exports.steps = {
    finalMarkToStepsMap: {},
    startMarkToStepsMap: {},
    active: {},
};
/**
 * This method allows to add new steps by passing the start mark
 */
var addActiveSteps = function (startMark) {
    var _a;
    var newSteps = (_a = exports.steps.startMarkToStepsMap[startMark]) !== null && _a !== void 0 ? _a : [];
    // adding the new steps to the active map
    Object.keys(newSteps).forEach(function (step) {
        if (exports.steps.active[step]) {
            return;
        }
        else {
            exports.steps.active[step] = true;
        }
    });
};
exports.addActiveSteps = addActiveSteps;
/**
 * Removes one step from active steps
 */
var removeActiveStep = function (step) {
    delete exports.steps.active[step];
};
exports.removeActiveStep = removeActiveStep;
var resetActiveSteps = function () {
    exports.steps.active = {};
};
exports.resetActiveSteps = resetActiveSteps;
var resetSteps = function () {
    // reset all values
    exports.steps.startMarkToStepsMap = {};
    exports.steps.finalMarkToStepsMap = {};
    (0, exports.resetActiveSteps)();
};
exports.resetSteps = resetSteps;
//# sourceMappingURL=steps.js.map