"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reportStorageEstimate = void 0;
var log_1 = require("./log");
var utils_1 = require("./utils");
/**
 * The estimate() method of the StorageManager interface asks the Storage Manager
 * for how much storage the app takes up (usage),
 * and how much space is available (quota).
 */
var reportStorageEstimate = function (storageInfo) {
    var estimateUsageDetails = 'usageDetails' in storageInfo ? storageInfo.usageDetails : {};
    (0, log_1.logData)('storageEstimate', {
        quota: (0, utils_1.convertToKB)(storageInfo.quota),
        usage: (0, utils_1.convertToKB)(storageInfo.usage),
        caches: (0, utils_1.convertToKB)(estimateUsageDetails.caches),
        indexedDB: (0, utils_1.convertToKB)(estimateUsageDetails.indexedDB),
        serviceWorker: (0, utils_1.convertToKB)(estimateUsageDetails.serviceWorkerRegistrations),
    });
};
exports.reportStorageEstimate = reportStorageEstimate;
//# sourceMappingURL=storageEstimate.js.map