"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initTotalBlockingTime = void 0;
var metrics_1 = require("./metrics");
var initTotalBlockingTime = function (performanceEntries) {
    performanceEntries.forEach(function (entry) {
        if (entry.name !== 'self' || entry.startTime < metrics_1.fcp.value) {
            return;
        }
        var blockingTime = entry.duration - 50;
        if (blockingTime > 0) {
            metrics_1.tbt.value += blockingTime;
            metrics_1.ntbt.value += blockingTime;
        }
    });
};
exports.initTotalBlockingTime = initTotalBlockingTime;
//# sourceMappingURL=totalBlockingTime.js.map